//CIMS00A1 JOB (CIMS0),'CIMSLAB',
//             MSGCLASS=X,CLASS=A,NOTIFY=&SYSUID
//*
//*******************************************************************/ 
//* Licensed Materials - Property of IBM                            */ 
//* 5724-Q66  Copyright IBM Corp. 1999,2006                         */ 
//* All Rights Reserved                                             */ 
//* US Government Users Restricted Rights -                         */ 
//* Use, duplication or disclosure restricted by                    */ 
//* GSA ADP Schedule Contract with  the IBM Corp.                   */ 
//*******************************************************************/
//*  THIS JOB WILL ALLOCATE THE SEQUENTIAL DATASETS TO TRANSFER THE     
//*  DOWNLOADED CIMS MAINFRAME FILE INTO AND WILL ALLOCATE THE CIMS  
//*  MAINFRAME INSTALL LIBRARIES.
//*
//*  MAKE SURE TO CHANGE THE FOLLOWING VARIABLES TO THEIR APPROPRIATE   
//*  VALUES:                                                            
//*                                                                     
//*     &HLQ    = THE HIGH-LEVEL QUALIFIER FOR YOUR CIMS MAINFRAME INSTALL
//*               TO HAVE NO HLQ USE:   HLQ='',                           
//*     &UNIT   = THE DISK UNIT NAME FOR YOUR SITE                      
//*     &VOL    = THE VOLUME FOR THE CIMS DATASETS TO RESIDE
//*     &DELETE = "LT" TO DELETE THE SEQUENTIAL DATASETS
//*             = "LE" TO BYPASS ALLOCATION OF LIBRARIES
//*     &ALLOC  = "LT" TO ALLOCATE THE CIMS MAINFRAME INSTALL LIBRARIES
//*             = "LE" TO BYPASS ALLOCATION OF LIBRARIES
//*
//*     * - SET &DELETE TO "LE" AND &ALLOC TO "LT" THE FIRST TIME
//*         YOU RUN THIS.
//*
//*===================================================================  
//*
//ALLOC    PROC HLQ='HLQ.',            CIMS HIGH LEVEL QUALIFIER
//             UNIT='SYSDA',           THE DISK UNIT NAME FOR YOUR SITE
//             VOL='CIMS01',           THE VOLUME FOR THE CIMS PDS
//             DELETE='LE',            LT TO DELETE SEQ DATASETS
//             ALLOC='LT'              LT TO ALLOCATE PRODUCT DATASETS
//*
//STEP00   EXEC PGM=IEFBR14
//*
//STEP01   EXEC PGM=IEFBR14,COND=(0,&DELETE,STEP00)
//DD1      DD DSN=&HLQ.CIMS.DATAFILE.SEQ,
//         DISP=(OLD,DELETE,DELETE)
//DD2      DD DSN=&HLQ.CIMS.LOADLIB.SEQ,
//         DISP=(OLD,DELETE,DELETE)
//DD3      DD DSN=&HLQ.CIMS.CLIST.SEQ,
//         DISP=(OLD,DELETE,DELETE)
//DD4      DD DSN=&HLQ.CIMS.LINKJCL.SEQ,
//         DISP=(OLD,DELETE,DELETE)
//DD5      DD DSN=&HLQ.CIMS.MESSAGES.SEQ,
//         DISP=(OLD,DELETE,DELETE)
//DD6      DD DSN=&HLQ.CIMS.OBJECT.SEQ,
//         DISP=(OLD,DELETE,DELETE)
//DD7      DD DSN=&HLQ.CIMS.PANELS.SEQ,
//         DISP=(OLD,DELETE,DELETE)
//DD8      DD DSN=&HLQ.CIMS.REPTLIB.SEQ,
//         DISP=(OLD,DELETE,DELETE)
//*
//STEP02   EXEC PGM=IEFBR14
//DD1      DD DSN=&HLQ.CIMS.DATAFILE.SEQ,
//         DISP=(NEW,CATLG,DELETE),
//         DCB=(DSORG=PS,RECFM=FB,LRECL=80,BLKSIZE=3120),
//         UNIT=&UNIT,VOL=SER=&VOL,
//         SPACE=(CYL,(1,1),RLSE)
//DD2      DD DSN=&HLQ.CIMS.LOADLIB.SEQ,
//         DISP=(NEW,CATLG,DELETE),
//         DCB=(DSORG=PS,RECFM=FB,LRECL=80,BLKSIZE=3120),
//         UNIT=&UNIT,VOL=SER=&VOL,
//         SPACE=(CYL,(1,1),RLSE)
//DD3      DD DSN=&HLQ.CIMS.CLIST.SEQ,
//         DISP=(NEW,CATLG,DELETE),
//         DCB=(DSORG=PS,RECFM=FB,LRECL=80,BLKSIZE=3120),
//         UNIT=&UNIT,VOL=SER=&VOL,
//         SPACE=(CYL,(1,1),RLSE)
//DD4      DD DSN=&HLQ.CIMS.LINKJCL.SEQ,
//         DISP=(NEW,CATLG,DELETE),
//         DCB=(DSORG=PS,RECFM=FB,LRECL=80,BLKSIZE=3120),
//         UNIT=&UNIT,VOL=SER=&VOL,
//         SPACE=(CYL,(1,1),RLSE)
//DD5      DD DSN=&HLQ.CIMS.MESSAGES.SEQ,
//         DISP=(NEW,CATLG,DELETE),
//         DCB=(DSORG=PS,RECFM=FB,LRECL=80,BLKSIZE=3120),
//         UNIT=&UNIT,VOL=SER=&VOL,
//         SPACE=(CYL,(1,1),RLSE)
//DD6      DD DSN=&HLQ.CIMS.OBJECT.SEQ,
//         DISP=(NEW,CATLG,DELETE),
//         DCB=(DSORG=PS,RECFM=FB,LRECL=80,BLKSIZE=3120),
//         UNIT=&UNIT,VOL=SER=&VOL,
//         SPACE=(CYL,(2,2),RLSE)
//DD7      DD DSN=&HLQ.CIMS.PANELS.SEQ,
//         DISP=(NEW,CATLG,DELETE),
//         DCB=(DSORG=PS,RECFM=FB,LRECL=80,BLKSIZE=3120),
//         UNIT=&UNIT,VOL=SER=&VOL,
//         SPACE=(CYL,(1,1),RLSE)
//DD8      DD DSN=&HLQ.CIMS.REPTLIB.SEQ,
//         DISP=(NEW,CATLG,DELETE),
//         DCB=(DSORG=PS,RECFM=FB,LRECL=80,BLKSIZE=3120),
//         UNIT=&UNIT,VOL=SER=&VOL,
//         SPACE=(CYL,(1,1),RLSE)
//*
//STEP03   EXEC PGM=IEFBR14,COND=(0,&ALLOC,STEP00)
//DD1      DD DSN=&HLQ.CIMS.LOAD.MODULES,
//         DISP=(NEW,CATLG,DELETE),
//         DCB=(RECFM=U,LRECL=0,BLKSIZE=9442),
//         UNIT=&UNIT,VOL=SER=&VOL,
//         SPACE=(CYL,(8,4,40),RLSE)
//DD2      DD DSN=&HLQ.CIMS.CICS.LOADMODS,
//         DISP=(NEW,CATLG,DELETE),
//         DCB=(RECFM=U,LRECL=0,BLKSIZE=9442),
//         UNIT=&UNIT,VOL=SER=&VOL,
//         SPACE=(CYL,(2,1,40),RLSE)
//DD3      DD DSN=&HLQ.CIMS.REPTLIB,
//         DISP=(NEW,CATLG,DELETE),
//         DCB=(RECFM=FB,LRECL=80,BLKSIZE=3120),
//         UNIT=&UNIT,VOL=SER=&VOL,
//         SPACE=(CYL,(10,1,120),RLSE)
//DD4      DD DSN=&HLQ.CIMS.MESSAGES,
//         DISP=(NEW,CATLG,DELETE),
//         DCB=(RECFM=FB,LRECL=80,BLKSIZE=3120),
//         UNIT=&UNIT,VOL=SER=&VOL,
//         SPACE=(CYL,(1,1,10),RLSE)
//DD5      DD DSN=&HLQ.CIMS.PANELS,
//         DISP=(NEW,CATLG,DELETE),
//         DCB=(RECFM=FB,LRECL=80,BLKSIZE=3120),
//         UNIT=&UNIT,VOL=SER=&VOL,
//         SPACE=(CYL,(1,1,30),RLSE)
//DD6      DD DSN=&HLQ.CIMS.CLIST,
//         DISP=(NEW,CATLG,DELETE),
//         DCB=(RECFM=FB,LRECL=80,BLKSIZE=3120),
//         UNIT=&UNIT,VOL=SER=&VOL,
//         SPACE=(CYL,(2,1,40),RLSE)
//DD7      DD DSN=&HLQ.CIMS.DATAFILE.BACKUP,
//         DISP=(NEW,CATLG,DELETE),
//         DCB=(RECFM=FB,LRECL=80,BLKSIZE=3120),
//         UNIT=&UNIT,VOL=SER=&VOL,
//         SPACE=(CYL,(10,2,80),RLSE)
//DD8      DD DSN=&HLQ.CIMS.OBJECT,
//         DISP=(NEW,CATLG,DELETE),
//         DCB=(RECFM=FB,LRECL=80,BLKSIZE=3120),
//         UNIT=&UNIT,VOL=SER=&VOL,
//         SPACE=(CYL,(10,2,50),RLSE)
//DD9      DD DSN=&HLQ.CIMS.LINKJCL,
//         DISP=(NEW,CATLG,DELETE),
//         DCB=(RECFM=FB,LRECL=80,BLKSIZE=3120),
//         UNIT=&UNIT,VOL=SER=&VOL,
//         SPACE=(CYL,(4,2,30),RLSE)
//DD10     DD DSN=&HLQ.CIMS.DATAFILE,
//         DISP=(NEW,CATLG,DELETE),
//         DCB=(RECFM=FB,LRECL=80,BLKSIZE=3120),
//         UNIT=&UNIT,VOL=SER=&VOL,
//         SPACE=(CYL,(10,2,80),RLSE)
//*
// PEND
//DOALLOC EXEC ALLOC
